<detalle-cliente *ngIf="clienteSeleccionado" [cliente] ="clienteSeleccionado"></detalle-cliente>

<div class="card border-primary mb-3">
  <div class="card-header">Clientes</div>
  <div class="card-body text-primary">
    <h5 class="card-title">Listado de clientes</h5>
    <div class="my-2 text-left">
      <button   class="btn btn-rounded btn-primary" type="button" [routerLink]="['/clientes/form']">
        Crear Cliente para Factura
      </button>
    </div>
    <div *ngIf="clientes?.length == 0" class="alert alert-info">
      No hay registros en la base de datos!
    </div>
    <table class="table table-bordered table-striped table-responsive " *ngIf="clientes?.length>0">
      <thead>
        <tr>
          <th>Ticket</th>
          <th>RUC</th>
          <th>Nombre</th>
          <th>Apellido</th>
          <th>Email</th>
          <th>Region</th>
          <th>Direccion</th>
          <th>Telefono</th>
          <!--th>Fecha</th-->
          <th  >Crear Ticket</th>
          <th  >editar</th>
          <th  >eliminar</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let cliente of clientes">
          <td>
            <button type="button" name="ver" class="btn btn-success btn-sm" (click)="abrirModal(cliente)" >ver Factura</button>
          </td>
          <td>{{ cliente.cedula }}</td>
          <td>{{ cliente.nombre }}</td>
          <td>{{ cliente.apellido | uppercase }}</td>
          <td>{{ cliente.email }}</td>
          <td>{{ cliente.region.nombre }}</td>
          <td>{{ cliente.direccion }}</td>
          <td>{{ cliente.telefono }}</td>
          <!--td>{{ cliente.createAt | date:"EEEE dd, MMMM yyyy"}}</td-->
          <td  ><button type="button" class="btn btn-success btn-sm" [routerLink]="['/facturas/form', cliente.id]">crear Factura</button></td>
          <td  >
            <button type="button" name="editar" [routerLink]="['/clientes/form', cliente.id]" class="btn btn-primary btn-sm">editar</button>
          </td>
          <td  >
            <button type="button" name="eliminar" (click)='delete(cliente)' class="btn btn-danger btn-sm">Baja</button>
          </td>
        </tr>
      </tbody>
    </table>
    <paginator-nav *ngIf="paginador" [paginador]="paginador"></paginator-nav>
  </div>
</div>
